Name: phlib
Version: 1.20
Release: 0.1
Source: http://www.nfluid.com/download/%{name}-%{version}.tgz
License: GPL
Vendor: netFluid Technology Limited
BuildRoot: %{_tmppath}/%{name}-%{version}
Group: Development/Libraries
Summary: Common netFluid Technology Function Set
%description
phlib provides the core function set used by netFluid Technology.  It provides
such things as a universal double linked list, very efficient constant memory
string parsing and building, fixed memory relocatable linked lists and socket
wrappers.
%prep
%setup -q
%build
export CFLAGS=$(echo $RPM_OPT_FLAGS|sed -e 's!-O3!-O2!g')
%configure --prefix=/usr/local
make
%install
make DESTDIR=${RPM_BUILD_ROOT} install
%clean
if test "/" != "${RPM_BUILD_ROOT}"; then rm -rf ${RPM_BUILD_ROOT}; fi

%files
%defattr(-,root,root,0755)
/usr/local/lib/libpxtra.a.1.20
/usr/local/lib/libpxtra.a.1
/usr/local/lib/libpxtra.a
/usr/local/lib/libpxtra.so.1.20
/usr/local/lib/libpxtra.so.1
/usr/local/lib/libpxtra.so
/usr/local/include/phlib/xl_assert.h
/usr/local/include/phlib/xl_base64_decode.h
/usr/local/include/phlib/xl_base64_encode.h
/usr/local/include/phlib/xl_date.h
/usr/local/include/phlib/xl_dbeng.h
/usr/local/include/phlib/xl_dir.h
/usr/local/include/phlib/xl_file.h
/usr/local/include/phlib/xl_ipaddr.h
/usr/local/include/phlib/xl_linklst.h
/usr/local/include/phlib/xl_memlst.h
/usr/local/include/phlib/xl_logging.h
/usr/local/include/phlib/xl_malloc.h
/usr/local/include/phlib/xl_memory.h
/usr/local/include/phlib/xl_mmap.h
/usr/local/include/phlib/xl_readrc.h
/usr/local/include/phlib/xl_socket.h
/usr/local/include/phlib/xl_string.h
/usr/local/include/phlib/xl_types.h
/usr/local/include/phlib/xl_ufile.h
/usr/local/include/phlib/xl_config.h
/usr/local/include/phlib/xl_datachain.h
/usr/local/include/phlib/xl_memdb.h

%changelog
* Mon Oct 20 2003 Chris Smith <chris@nfluid.com> 1.1.20
- Release in line with DGEE 0.1.6 (DotGNU 0.1)
* Tue Jan 07 2003 Chris Smith <chris@nfluid.com> 1.1.18
- New Release

# Local variables:
# mode: rpm-spec
# end:
